Subject: Re: bug#14250: 23.1; Files locked by myself

From: Glenn Morris <[email-masked]>
Date: Wed, 19 Jun 2013 18:53:58 -0400

"Elrod, David" wrote:

> My fault for not doing "reply all"...
>
> Typing:
>     ^Mx(file-locked-p

You said:

>  When I do:  M-:
>  the mini-buffer responds with "Eval: "
>
>  I then entered:
>     (file-locked-p(overview.html))

So oviously you know about M-:. Use:

  M-: (file-locked-p (buffer-file-name)) RET

(Though I have no idea what this is supposed to tell us.)

Also, what does:

M-: (system-name) RET

return?

>  Each time I try to save It shows:
>    /tmp/FOO locked by elrodd <at> elrodd... (pid 21418): (s, q, p, ?)? 
>  or similar in the status bar.

At this point, what do the following show:

ls -ld /tmp/.*
ps -p 21418    # replace with number from above
ps -u elrodd | grep emacs

But again, simply compiling your own Emacs 24.3 may be easier.